Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18681

Description

Ok so I join a polygon to a CSV, once I opened the output layer the column names are Ok but the values aren't since it appears to be

putting the wrong values in the wrong columns, the last column gets 0.00 as it doesn't have any values to get

This happens if the vector layer has a join, don't know if that makes a difference since I cant reproduce error in vector with no joins

COLUMN A / COLUMN B / COLUMN C

VALUES B / VALUES C / 0.00

Associated revisions

Revision 228892cf - 2014-07-05 06:38 AM - Minoru Akagi

[processing] fix join to layer with join (fix #10244)

Revision df5c1f07 - 2014-07-11 09:06 AM - Minoru Akagi

[processing] fix join to layer with join (fix #10244)

History

#1 - 2014-05-14 12:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

It is not clear what it the problematic tool and what the steps to replicate the issue. Please leave feedback. Cheers!

#2 - 2014-05-23 08:15 AM - Antonio Locandro

The tool is Join attributes table in QGIS geoalgorithms

Input layer 1 a Shapefile with a join

Input layer 2 a CSV file

I guess I am doing a join to a shapefile which has a join set from QGIS properties dialog, don't know if thats the issue

#3 - 2014-05-24 11:31 AM - Giovanni Manghi
- Status changed from Feedback to Open

- Assignee set to Victor Olaya

- Subject changed from Join Attribute Tables Column wrong to "Join Attributes Tables" returns wrong results if input layers have a join defined in vector 

properties

Input layer 1 a Shapefile with a join

what type is the join layer? shape? csv? dbf?

Input layer 2 a CSV file

in processing the tool cannot accept geometryless tables as input.

Anyway, beside the above questions it seems that there is an issue:

The tool allows choose as input a layer that has a join in qgis vector properties. Among the possible columns to be used for the join (in processing) there

are the one that comes from the join in the vector properties but the output does not contains them, just the ones from the join layer in processing, but this

ones have wrong values (taken from the join in vector properties).

#4 - 2014-06-21 08:56 AM - Jürgen Fischer

- Project changed from 78 to QGIS Application

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.2.0

#5 - 2014-06-21 08:56 AM - Jürgen Fischer

- Category set to 94

#6 - 2014-07-04 09:59 PM - Minoru Akagi

Delimited text layers seem to be listed in the layer list.

I sent a pull request to fix this issue and improve the Join Attributes Table algorithm: https://github.com/qgis/QGIS/pull/1498

#7 - 2014-07-05 01:39 AM - Minoru Akagi

- Status changed from Open to Closed

Fixed in changeset commit:"228892cfa7eb8b8fe0398775e9302016092f303e".

#8 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
